Method: projects.locations.brands.configApplicationRules.list

Lists ConfigApplicationRules.

HTTP request

GET https://foodorderingaiagent.googleapis.com/v1beta/{parent=projects/*/locations/*/brands/*}/configApplicationRules

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent brand, which owns this collection of config application rules. Format: projects/{project}/locations/{location}/brands/{brand}

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of config application rules to return. The service may return fewer than this value.

pageToken

string

Optional. A page token, received from a previous configApplicationRules.list call. Provide this to retrieve the subsequent page.

Request body

The request body must be empty.

Response body

Response message for MenuService.ListConfigApplicationRules.

If successful, the response body contains data with the following structure:

JSON representation
{
  "configApplicationRules": [
    {
      object (ConfigApplicationRule)
    }
  ],
  "nextPageToken": string
}
Fields
configApplicationRules[]

object (ConfigApplicationRule)

The config application rules from the specified collection.

nextPageToken

string

A token, which can be sent as pageToken to retrieve the next page. If this field is omitted, there are no subsequent pages.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.